CH_GET_DESCRIPTOR(3)

FUNCTION
ch_get_descriptor - Get the file descriptor associated with a channel.

SYNOPSIS
#include <karma_ch.h>

int ch_get_descriptor

(Channel channel)

DESCRIPTION
Get the file descriptor associated with a channel.

channel
    The channel object.

RETURN VALUE
The file descriptor on success, else -1 indicating error.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/